<template>
    <div>
        <Fieldset :title="props.title">

            <FormRow>
                <FormInput v-model="regle.titreFr"
                           type="text"
                           name="titre-fr"
                           :ref="addFormInputRef"
                           :label="t('regle.titre')"
                           @validated="handleValidation" />
            </FormRow>
            <FormTextEditor v-model="regle.descriptionFr"
                            :ref="addFormInputRef"
                            name="description-fr"
                            id="ttt"
                            :label="t('regle.description')"
                            @validated="handleValidation" />

        </Fieldset>

    </div>
</template>

<script lang="ts" setup>
import { ref } from "vue";
import { Status } from "@/validation";
import { required, min } from "@/validation/rules";
import { useI18n } from "vue3-i18n";
import FormInput from "@/components/forms/FormInput.vue";
import Fieldset from "@/components/forms/Fieldset.vue";
import FormRow from "@/components/forms/FormRow.vue";
    import { Regle } from "@/types/entities/regle";
import FormTextEditor from "@/components/forms/FormTextEditor.vue";

const { t } = useI18n();

// eslint-disable-next-line no-undef
const props = defineProps<{
        regle: Regle,
    title: string

}>()

//eslint-disable-next-line
const emit = defineEmits<{
    (event: "handleValidation", name: string, validationStatus: Status): void
    (event: "registerFormInputRef", ref: typeof FormInput): void
}>()

const regle = ref<Regle>(props.regle)

function addFormInputRef(ref: typeof FormInput) {
    emit("registerFormInputRef", ref);
}


async function handleValidation(name: string, validationStatus: Status) {
    emit("handleValidation", name, validationStatus);
}
</script>
<style scoped>
    #ttt{flex-wrap:wrap}
</style>